/**
 * Title: AnotherTester - Another class for testing creation of new processes on Windows.
 * Description:
 * Copyright:    Copyright (c) 2008
 * Company:      Morpheus
 * @author Stefano Adriani
 * @version 1.0
 */


package adriani.tutorial.system ;

import java.io.* ;


/**
* Another class used to test the creation of new processes on the Windows platform (for training purposes).<P>
*
* <B>Remark:</B> since this class is designed for the Windows platform, current implentation DOES NOT
* contain a good "pure Java" code. For example, here it's not used the expected <CODE>File.separator</CODE>
* reference.
*/
public class AnotherTester extends SystemTester {


	// CLASS FIELDS
	// Place holder


	/**
	* The main method launched when application starts. Since this class is intented for training, here
	* the <CODE>verbose</CODE> attribute is set to true.
	*/
	public static void main(String args[]) {

		WinManager manager = new WinManager() ;
		AnotherTester application = new AnotherTester(manager, true) ;
		application.testFork() ;
	}


// *******************************			WINTESTER CLASS		***********************************************


	/**
	* Empty constructor.
	*/
	public AnotherTester() { }


	/**
	* Standard constructor.
	*
	* @param manager the system implementation of the <CODE>SystemManager</CODE> interface.
	* @param verbose if <CODE>true</CODE>, the child's input is printed on the command line.
	*/
	public AnotherTester(WinManager manager, boolean verbose) {

		this.manager = manager ;
		this.verbose = verbose ;
	}


	/**
	* A simple method just calling the fork() system call.
	*
	* @see SystemManager#fork(Object object, char[] param, boolean verbose)
	*/
	public void testFork() {

		// 1. Setting enviroment
		char[] param 		= {'0','0','0'} ;
		String[] enviroment	= { "C:\\j2sdk1.4.2_03\\bin\\java" } ;
		manager.setState(enviroment) ;

		// 2. Executing fork()
		System.out.println("\nAnotherTester avviato") ;
		manager.fork(this, param, verbose) ;
		System.out.println("nAnotherTester: exiting now ...\n") ;
	}


} // End of class